;;; byte-recompile.el --- 

;; $Id: byte-recompile.el,v 1.1 2002/12/09 13:56:15 burton Exp $

;; Copyright (C) 2000-2003 Free Software Foundation, Inc.
;; Copyright (C) 2000-2003 Kevin A. Burton (burton@openprivacy.org)

;; Author: Kevin A. Burton (burton@openprivacy.org)
;; Maintainer: Kevin A. Burton (burton@openprivacy.org)
;; Location: http://relativity.yi.org
;; Keywords: 
;; Version: 1.0.0

;; This file is [not yet] part of GNU Emacs.

;; This program is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free Software
;; Foundation; either version 2 of the License, or any later version.
;;
;; This program is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;; details.
;;
;; You should have received a copy of the GNU General Public License along with
;; this program; if not, write to the Free Software Foundation, Inc., 59 Temple
;; Place - Suite 330, Boston, MA 02111-1307, USA.

;;; Commentary:

;; NOTE: If you enjoy this software, please consider a donation to the EFF
;; (http://www.eff.org)

;;; Code:

(defun byte-recompile-from-load-path()
  "Recompile all lisp that is in teh lisp `load-path'.  A file is recompiled if
there is no corresponding .elc file and the .el file is newer than the .elc"
  (interactive)

  (message "Byte recompiling %i directories..." (length load-path))
  
  (save-excursion
    (set-buffer (get-buffer-create "*Compile-Log*"))
    (erase-buffer))

  (dolist (load-path-entry load-path)
    
    (byte-recompile-directory load-path-entry 0 nil))
    
  (message "Byte recompiling %i directories...done" (length load-path)))

(provide 'byte-recompile)

;;; byte-recompile.el ends here